module folder_monitoring

go 1.19

require (
	git.hpds.cc/Component/logging v0.0.0-20230106105738-e378e873921b
	github.com/emirpasic/gods v1.18.1
	github.com/fsnotify/fsnotify v1.4.9
	github.com/klauspost/compress v1.16.3
	// github.com/mostynb/zstdpool-syncpool v0.0.12
	github.com/spf13/cobra v1.6.1
	go.uber.org/zap v1.23.0
	gopkg.in/yaml.v3 v3.0.1
)

require git.hpds.cc/pavement/hpds_node v0.0.0-20230402152619-41414aafa930

require (
	git.hpds.cc/Component/mq_coder v0.0.0-20221010064749-174ae7ae3340 // indirect
	git.hpds.cc/Component/network v0.0.0-20230402152327-d10a80765e7c // indirect
	github.com/go-task/slim-sprig v0.0.0-20210107165309-348f09dbbbc0 // indirect
	github.com/golang/mock v1.6.0 // indirect
	github.com/inconshreveable/mousetrap v1.0.1 // indirect
	github.com/lucas-clemente/quic-go v0.29.1 // indirect
	github.com/marten-seemann/qtls-go1-18 v0.1.2 // indirect
	github.com/marten-seemann/qtls-go1-19 v0.1.0 // indirect
	github.com/matoous/go-nanoid/v2 v2.0.0 // indirect
	github.com/nxadm/tail v1.4.8 // indirect
	github.com/onsi/ginkgo v1.16.4 // indirect
	github.com/spf13/pflag v1.0.5 // indirect
	go.uber.org/atomic v1.7.0 // indirect
	go.uber.org/multierr v1.6.0 // indirect
	golang.org/x/crypto v0.0.0-20210921155107-089bfa567519 // indirect
	golang.org/x/exp v0.0.0-20220722155223-a9213eeb770e // indirect
	golang.org/x/mod v0.6.0-dev.0.20220106191415-9b9b3d81d5e3 // indirect
	golang.org/x/net v0.0.0-20220624214902-1bab6f366d9e // indirect
	golang.org/x/sys v0.0.0-20220520151302-bc2c85ada10a // indirect
	golang.org/x/tools v0.1.10 // indirect
	golang.org/x/xerrors v0.0.0-20200804184101-5ec99f83aff1 // indirect
	gopkg.in/natefinch/lumberjack.v2 v2.0.0 // indirect
	gopkg.in/tomb.v1 v1.0.0-20141024135613-dd632973f1e7 // indirect
)
